openapi: 3.0.1
info:
  title: Rahvastikuregistri X-tee teenused
  description: 'Rahvastikuregister on andmekogu, mis koondab Eesti kodanike, Eestis elukoha registreerinud Euroopa Liidu kodanike ja Eestis elamisloa või elamisõiguse saanud välismaalaste ja teiste rahvastikuregistrisse kantud isikute peamisi isikuandmeid ja isikuandmetega seotud andmeid, RR pidamist abistavaid andmeid, RR objekti staatust ettevalmistavaid andmeid ja RR arhiivis säilitatavaid andmeid. Registrit haldab ja arendab vastutava töötlejana Siseministeerium.'
  termsOfService: https://www.sisministeerium.ee/tegevusvaldkonnad/rahvastikutoimingud/rahvastikuregister/terms
  contact:
    name: Rahvastikuregistri klienditugi
    url: https://www.siseministeerium.ee/tegevusvaldkonnad/rahvastikutoimingud/rahvastikuregister
    email: abi@rahvastikuregister.ee
  license:
    name: 'TODO: Litsents'
    url: https://www.siseministeerium.ee/tegevusvaldkonnad/rahvastikutoimingud/rahvastikuregister/litsents
  version: v1
servers:
  - url: /dde
paths:
  /v1/isikud:
    post:
      tags:
        - Isikud
      summary: Isiku(te) andmete päring rahvastikuregistrist
      parameters:
        - name: RR-Request-Reason
          in: header
          description: 'Päringu alus, kokkulepitud väärtuste kogum. Võimaldab eristada, kas tegu on õigustatud huvi alusel tehtud päringuga; avaliku ülesande täitmiseks tehtud päringuga; seadustes sätestatud alustel päringule juurdepääsu piiramist vajava päringuga.'
          schema:
            $ref: '#/components/schemas/RequestReason'
        - name: RR-Request-Group-Id
          in: header
          description: Unikaalne identifikaator sama menetluse/toimingu raames sooritatud mitme X-tee päringu koondamiseks üheks kirjeks andmejälgijas.
          schema:
            type: string
        - name: X-Road-Client
          in: header
          description: 'Määratleb teenuse kliendi liikmelisuse/alamsüsteemi ehk päringu algataja. Identifikaator koosneb järgmistest osadest: [X-tee instants]/[liikmesklass]/[liikmeskood]/[alamsüsteemi kood]'
          required: true
          schema:
            type: string
            example: ee-test/GOV/70008440/rr
          example: ee-test/GOV/70008440/rr
        - name: X-Road-Represented-Party
          in: header
          description: 'Selle päise välja funktsioon on lubada saata X-Tee teenusepakkujatele täiendavat informatsiooni, kui teenuse klient esindab päringut tehes kolmandat osapoolt. Identifikaator koosneb järgmistest osadest: [liikmesklass]/[liikmeskood]'
          schema:
            type: string
            example: GOV/70008440
          example: GOV/70008440
        - name: X-Road-Id
          in: header
          description: Sõnumi unikaalne identifikaator
          schema:
            type: string
        - name: X-Road-UserId
          in: header
          description: 'Kasutaja, kes algatas päringu. Kasutaja ID peab algama kahetähelise ISO riigi koodiga.'
          schema:
            type: string
            example: EE12345678901
          example: EE12345678901
        - name: X-Road-Issue
          in: header
          description: 'Päringu tegemise põhjus, mis kuvatakse inimesele andmejälgijas.'
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostIsikudRequestDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PostIsikudRequestDto'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Isikuandmed'
                description: Isiku(te) andmete päringu tulemus
  /v1/isikud/muudatused:
    get:
      tags:
        - Muudatused
      summary: Muutunud isikute andmed
      parameters:
        - name: perioodiAlgus
          in: query
          description: Perioodi algus kuju yyyy-MM-dd(2023-12-30)
          required: true
          schema:
            type: string
            format: date-time
        - name: perioodiLopp
          in: query
          description: Perioodi lõpp kuju yyyy-MM-dd(2023-12-31)
          required: true
          schema:
            type: string
            format: date-time
        - name: muudatus
          in: query
          description: "Muudatused mida soovitakse. Kui ei saadeta midagi, tagastakase kõik või need mis kliendile vaikimisi seadistatud\r\nnäide: muudatus=surm tagastab ainult surma muudatused"
          schema:
            type: array
            items:
              $ref: '#/components/schemas/MuudatusedEnum'
        - name: RR-Request-Reason
          in: header
          description: 'Päringu alus, kokkulepitud väärtuste kogum. Võimaldab eristada, kas tegu on õigustatud huvi alusel tehtud päringuga; avaliku ülesande täitmiseks tehtud päringuga; seadustes sätestatud alustel päringule juurdepääsu piiramist vajava päringuga.'
          schema:
            $ref: '#/components/schemas/RequestReason'
        - name: RR-Request-Group-Id
          in: header
          description: Unikaalne identifikaator sama menetluse/toimingu raames sooritatud mitme X-tee päringu koondamiseks üheks kirjeks andmejälgijas.
          schema:
            type: string
        - name: X-Road-Client
          in: header
          description: 'Määratleb teenuse kliendi liikmelisuse/alamsüsteemi ehk päringu algataja. Identifikaator koosneb järgmistest osadest: [X-tee instants]/[liikmesklass]/[liikmeskood]/[alamsüsteemi kood]'
          required: true
          schema:
            type: string
            example: ee-test/GOV/70008440/rr
          example: ee-test/GOV/70008440/rr
        - name: X-Road-Represented-Party
          in: header
          description: 'Selle päise välja funktsioon on lubada saata X-Tee teenusepakkujatele täiendavat informatsiooni, kui teenuse klient esindab päringut tehes kolmandat osapoolt. Identifikaator koosneb järgmistest osadest: [liikmesklass]/[liikmeskood]'
          schema:
            type: string
            example: GOV/70008440
          example: GOV/70008440
        - name: X-Road-Id
          in: header
          description: Sõnumi unikaalne identifikaator
          schema:
            type: string
        - name: X-Road-UserId
          in: header
          description: 'Kasutaja, kes algatas päringu. Kasutaja ID peab algama kahetähelise ISO riigi koodiga.'
          schema:
            type: string
            example: EE12345678901
          example: EE12345678901
        - name: X-Road-Issue
          in: header
          description: 'Päringu tegemise põhjus, mis kuvatakse inimesele andmejälgijas.'
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MuutunudIsik'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Server Error
components:
  schemas:
    AadressKomponent:
      type: object
      properties:
        kood:
          type: string
          description: Aadresskomponendi liik.
          nullable: true
        nimetus:
          type: string
          description: Aadresskomponendi nimetus
          nullable: true
      additionalProperties: false
      description: Aadresskomponendi andmed
    AadressiLiik:
      enum:
        - Koik
        - A1
        - A2
        - A3
        - A4
        - A5
        - A6
        - A7
        - A8
        - A9
      type: string
    AadressiStaatus:
      enum:
        - Koik
        - AK1
        - AK2
        - AK3
        - AK4
        - AK5
        - AK9
        - AK6
      type: string
    Andmevaljad:
      type: object
      properties:
        isikuandmed:
          type: array
          items:
            $ref: '#/components/schemas/IsikuAndmevaljad'
          nullable: true
        haridus:
          type: array
          items:
            $ref: '#/components/schemas/HaridusAndmevaljad'
          nullable: true
        haridused:
          type: array
          items:
            $ref: '#/components/schemas/HaridusAndmevaljad'
          nullable: true
        teovoime:
          type: array
          items:
            $ref: '#/components/schemas/TeovoimeAndmevaljad'
          nullable: true
        teovoimed:
          type: array
          items:
            $ref: '#/components/schemas/TeovoimeAndmevaljad'
          nullable: true
        perekonnaseis:
          type: array
          items:
            $ref: '#/components/schemas/PerekonnaseisAndmevaljad'
          nullable: true
        kodakondsus:
          type: array
          items:
            $ref: '#/components/schemas/KodakondsusAndmevaljad'
          nullable: true
        muudKodakondsused:
          type: array
          items:
            $ref: '#/components/schemas/KodakondsusAndmevaljad'
          nullable: true
        valisriigiIsikukoodid:
          type: array
          items:
            $ref: '#/components/schemas/ValisriigiIsikukoodAndmevaljad'
          nullable: true
        isikuAadressid:
          type: array
          items:
            $ref: '#/components/schemas/IsikuAadressidAndmevaljad'
          nullable: true
        isikuKontaktid:
          type: array
          items:
            $ref: '#/components/schemas/KontaktAndmevaljad'
          nullable: true
        dokumendid:
          type: array
          items:
            $ref: '#/components/schemas/DokumendidAndmevaljad'
          nullable: true
        suhted:
          type: array
          items:
            $ref: '#/components/schemas/SuhtedAndmevaljad'
          nullable: true
        suhtedAlaealistega:
          type: array
          items:
            $ref: '#/components/schemas/SuhtedAndmevaljad'
          nullable: true
        hooldusoigused:
          type: array
          items:
            $ref: '#/components/schemas/HooldusoigusedAndmevaljad'
          nullable: true
      additionalProperties: false
    ArhiiviPohjus:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Arhiivi kandmise põhjus
    DokumendiLiik:
      enum:
        - Koik
        - DOK
        - PERE
        - SYND
        - _74
        - _10A
        - _10B
        - SURM
        - _75
        - _11A
        - _11B
        - ABIELU
        - _71
        - _32A
        - _32B
        - LAHUTUS
        - _72
        - _35A
        - _35B
        - _12
        - _40
        - _54
        - _89
        - NIMI
        - N20
        - N79
        - N83
        - N85
        - N87
        - N86
        - KODA
        - K102
        - K101
        - K104
        - K103
        - K105
        - K15
        - K16
        - KOHUS
        - LAHEND
        - C400
        - C401
        - C402
        - C418
        - C428
        - C162
        - C404
        - C405
        - C432
        - C415
        - C414
        - C412
        - C403
        - C406
        - C407
        - C417
        - C416
        - C425
        - C424
        - C426
        - C429
        - C422
        - C423
        - C77
        - C434
        - C431
        - C420
        - C421
        - C435
        - C408
        - C409
        - C410
        - C411
        - M490
        - VRIIK
        - V400
        - V401
        - V402
        - V418
        - V428
        - V162
        - V404
        - V405
        - V432
        - V415
        - V414
        - V412
        - V403
        - V406
        - V407
        - V417
        - V416
        - V425
        - V424
        - V426
        - V429
        - V422
        - V423
        - V434
        - V420
        - V421
        - V480
        - V490
        - ELAMINE
        - LUBA
        - L9
        - L129
        - L138
        - L137
        - L139
        - L60
        - OIGUS
        - L164
        - L69
        - ELUKOHT
        - E160
        - E163
        - E161
        - E164
        - E193
        - E194
        - E80
        - E165
        - ISIKDOK
        - ISIKDOKEESTI
        - D67
        - D1
        - D28
        - D29
        - D109
        - D132
        - D135
        - D48
        - ISIKDOKVALIS
        - D50
        - D2
        - D27
        - D130
        - SUGU
        - X1
        - S180
        - ISKOOD
        - IS1
        - IS2
        - IS3
        - IS4
        - IS5
        - IS6
        - PIIRANG
        - P1
        - OTSUS
        - _18
        - _52
        - _53
        - _17
        - _45
        - _110
        - AVALDUS
        - A1
        - A2
        - A10
        - A20
        - A21
        - A22
        - A30
        - A40
        - A41
        - A42
        - A43
        - A44
        - A50
        - A51
        - A52
        - A70
        - A71
        - A72
        - A73
        - A98
        - A60
        - A80
        - A81
        - A99
        - A90
        - A92
        - A91
        - TUNNISTUS
        - T1
        - T10
        - T20
        - T30
        - T50
        - T2
        - T11
        - T21
        - T31
        - T22
        - T40
        - T41
        - T51
        - T80
        - T70
        - T84
        - T310
        - MEDDOK
        - M1
        - M10
        - M12
        - M2
        - M11
        - _10
        - _11
        - _32
        - _35
        - K106
        - _76
        - D78
        - _120
        - T311
        - L169
        - P2
        - OT1
        - OT2
        - OT3
        - OT4
        - OT5
        - N82
        - E166
        - D149
        - VOT1
        - N90
        - N91
        - PTOIM
        - PKIRI
        - ATOIM
        - K107
        - D149V
        - _0
        - E90
        - _80TOP
        - _11Y
        - _35Y
        - _43
        - T3
        - T12
        - T23
        - _77
        - IS8
        - IS9
        - OT6
        - OT7
        - OT8
        - D199
        - KOOSELU
        - EKL
        - VRKL
        - KOOSLOPP
        - EKLLOPP
        - VRKLLOPP
        - C440
        - C441
        - C442
        - V440
        - V441
        - V442
        - MUUDOKID
        - ERESIDENT
        - K108
        - K109
        - C443
        - C444
        - TT41
        - D128
        - _78
        - _79
        - E167
        - IS10
        - E91
        - KVR
        - L164_EXIT
        - VK1
        - IS11
        - L9_UKR
        - E162
      type: string
    DokumendiStaatus:
      enum:
        - Koik
        - D4
        - D8
        - D1
        - D2
        - D6
        - D3
        - D7
        - D15
        - D14
        - D10
      type: string
    DokumendidAndmevaljad:
      enum:
        - Koik
        - Liik
        - Seeria
        - Number
        - ValjaAntudKpv
        - ValjaAndjaAsutus
        - Staatus
        - KehtivAlates
        - KehtivKuni
        - KehtetuAlates
        - Markus
        - ValjaAndjaRiik
        - Alus
      type: string
    Dokument:
      type: object
      properties:
        liik:
          $ref: '#/components/schemas/DokumentLiik'
        seeria:
          type: string
          description: Dokumendi seeria.
          nullable: true
        number:
          type: string
          description: Dokumendi number
          nullable: true
        valjaAntudKpv:
          type: string
          description: Dokumendi väljaandmise kuupäev
          format: date-time
          nullable: true
        valjaAndjaAsutus:
          type: string
          description: Dokumendi välja andnud asutuse nimi
          nullable: true
          example: SISEMINISTEERIUM
        staatus:
          $ref: '#/components/schemas/DokumentStaatus'
        kehtivAlates:
          type: string
          description: Dokumendi kehtivuse algus
          format: date-time
          nullable: true
        kehtivKuni:
          type: string
          description: Dokumendi kehtivuse lõpp
          format: date-time
          nullable: true
        kehtetuAlates:
          type: string
          description: Dokumendi kehtetu alates kuupäev
          format: date-time
          nullable: true
        markus:
          type: string
          description: Dokumendi märkus
          nullable: true
        valjaAndjaRiik:
          $ref: '#/components/schemas/ValjaAndjaRiik'
        alus:
          type: string
          description: Dokumendi väljastamise alus.
          nullable: true
      additionalProperties: false
      description: Isiku dokumendid. Tagastatavate dokumentide loend moodustub ühisosana pärijale lubatud ja sisendis küsitud dokumendi liikidest ning staatustest.
    DokumentLiik:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Dokumendi liik
    DokumentStaatus:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Dokumendi staatus
    Emakeel:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Emakeel
    Haridus:
      type: object
      properties:
        liik:
          $ref: '#/components/schemas/HaridusLiik'
        algusKuupaev:
          type: string
          description: Hariduse alguskuupäev.
          format: date-time
          nullable: true
      additionalProperties: false
      description: Isiku kõrgeima omandatud hariduse andmed
    HaridusAndmevaljad:
      enum:
        - Koik
        - Liik
        - AlgusKuupaev
      type: string
    HaridusLiik:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Hariduse liik.
    Hooldusoigus:
      type: object
      properties:
        liik:
          $ref: '#/components/schemas/HooldusoigusLiik'
        staatus:
          $ref: '#/components/schemas/HooldusoigusStaatus'
        roll:
          type: string
          description: Päritava isiku roll hooldusõiguses
          nullable: true
        hooldusoigusAlgus:
          type: string
          description: Hooldusõiguse algus
          format: date-time
          nullable: true
        hooldusoigusLopp:
          type: string
          description: Hooldusõiguse lõpp
          format: date-time
          nullable: true
        teineIsikIsikukood:
          type: string
          description: Hooldusõiguse teise isiku isikukood
          nullable: true
          example: '12345678901'
        teineIsikKirjeOlek:
          $ref: '#/components/schemas/HooldusoigusTeineIsikKirjeOlek'
        teineIsikOlek:
          $ref: '#/components/schemas/HooldusoigusTeineIsikOlek'
        teineIsikEesnimi:
          type: string
          description: Hooldusõiguse teise isiku eesnimi
          nullable: true
          example: SIIM
        teineIsikPerenimi:
          type: string
          description: Hooldusõiguse teise isiku perenimi
          nullable: true
          example: JÕEORG
        asutusNimi:
          type: string
          description: Hooldusõiguse teise asutuse nimi
          nullable: true
          example: SMIT
        asutusRegNr:
          type: string
          description: Hooldusõiguse teise asutuse registrikood
          nullable: true
          example: '70008440'
        alguseDokumentNimi:
          type: string
          description: Hooldusõiguse alusdokumendi nimi
          nullable: true
        alguseDokumentKehtivAlates:
          type: string
          description: Hooldusõiguse alguse alusdokumendi kehtivuse algus
          format: date-time
          nullable: true
        alguseDokumentSeeria:
          type: string
          description: Hooldusõiguse alguse alusdokumendi seeria
          nullable: true
        alguseDokumentNumber:
          type: string
          description: Hooldusõiguse alguse alusdokumendi number
          nullable: true
        alguseDokumentValjaandnudAsutus:
          type: string
          description: Hooldusõiguse alguse alusdokumendi väljaandnud asutus
          nullable: true
          example: SISEMINISTEERIUM
        lopuDokumentNimi:
          type: string
          description: Hooldusõiguse lõpu alusdokumendi nimi
          nullable: true
        lopuDokumentKehtivAlates:
          type: string
          description: Hooldusõiguse lõpu alusdokumendi kehtivuse algus
          format: date-time
          nullable: true
        lopuDokumentSeeria:
          type: string
          description: Hooldusõiguse lõpu alusdokumendi seeria
          nullable: true
        lopuDokumentNumber:
          type: string
          description: Hooldusõiguse lõpu alusdokumendi number
          nullable: true
        lopuDokumentValjaandnudAsutus:
          type: string
          description: Hooldusõiguse lõpu alusdokumendi väljaandnud asutus
          nullable: true
          example: SISEMINISTEERIUM
      additionalProperties: false
      description: Hooldusõiguse andmed.Tagastatavate hooldusõiguste loend moodustub ühisosana pärijale lubatud ja sisendis küsitud hooldusõiguse liikidest ning staatustest.
    HooldusoigusLiik:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Hooldusõiguse liik
    HooldusoigusStaatus:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Hooldusõiguse staatus
    HooldusoigusTeineIsikKirjeOlek:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Hooldusõiguse teise isiku kirje olek
    HooldusoigusTeineIsikOlek:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Hooldusõiguse teise isiku staatus
    HooldusoiguseLiik:
      enum:
        - Koik
        - H9
        - H10
        - H11
        - H12
        - H19
        - H20
        - H21
        - H22
      type: string
    HooldusoiguseStaatus:
      enum:
        - Koik
        - H1
        - H2
        - H3
        - H4
        - H5
        - H10
        - H6
        - H7
        - H8
        - H9
      type: string
    HooldusoigusedAndmevaljad:
      enum:
        - Koik
        - Liik
        - Staatus
        - Roll
        - HooldusoigusAlgus
        - HooldusoigusLopp
        - TeineIsikIsikukood
        - TeineIsikKirjeOlek
        - TeineIsikOlek
        - TeineIsikEesnimi
        - TeineIsikPerenimi
        - AsutusNimi
        - AsutusRegNr
        - AlguseDokumentNimi
        - AlguseDokumentKehtivAlates
        - AlguseDokumentSeeria
        - AlguseDokumentNumber
        - AlguseDokumentValjaandnudAsutus
        - LopuDokumentNimi
        - LopuDokumentKehtivAlates
        - LopuDokumentSeeria
        - LopuDokumentNumber
        - LopuDokumentValjaandnudAsutus
      type: string
    IsikuAadress:
      type: object
      properties:
        riik:
          $ref: '#/components/schemas/AadressKomponent'
        maakond:
          $ref: '#/components/schemas/AadressKomponent'
        linnVald:
          $ref: '#/components/schemas/AadressKomponent'
        kylaAsula:
          $ref: '#/components/schemas/AadressKomponent'
        vaikeKoht:
          $ref: '#/components/schemas/AadressKomponent'
        tanav:
          $ref: '#/components/schemas/AadressKomponent'
        nimi:
          $ref: '#/components/schemas/AadressKomponent'
        maja:
          $ref: '#/components/schemas/AadressKomponent'
        korter:
          $ref: '#/components/schemas/AadressKomponent'
        sihtnumber:
          type: string
          description: Sihtnumber
          nullable: true
          example: '13418'
        aadressTekst:
          type: string
          description: Aadress tekstina
          nullable: true
          example: 'Harju maakond, Tallinn, Kristiine linnaosa, Tüve tn 53-1'
        liik:
          $ref: '#/components/schemas/IsikuAadressLiik'
        staatus:
          $ref: '#/components/schemas/IsikuAadressStaatus'
        adsAdrId:
          type: integer
          description: Ads Aadressi id
          format: int32
          nullable: true
          example: 2452691
        adsOid:
          type: string
          description: Aadressi ADSOID
          nullable: true
          example: ER03489482
        adsKoodAadress:
          type: string
          description: Ads Aadressi kood
          nullable: true
          example: 377840339000003ZZ000036ALGA6L0000
        adsAdobId:
          type: integer
          description: Ads Aadressi AdobId
          format: int32
          nullable: true
          example: 7146069
        alguseDokumentNimi:
          type: string
          description: Aadressi alguse alusdokumendi nimi
          nullable: true
        alguseDokumentKehtivAlates:
          type: string
          description: Aadressi alguse alusdokumendi kehtivuse algus
          format: date-time
          nullable: true
        alguseDokumentSeeria:
          type: string
          description: Aadressi alguse alusdokumendi seeria
          nullable: true
        alguseDokumentNumber:
          type: string
          description: Aadressi alguse alusdokumendi number
          nullable: true
        alguseDokumentValjaandnudAsutus:
          type: string
          description: Aadressi alguse alusdokumendi väljaandnud asutus
          nullable: true
        lopuDokumentNimi:
          type: string
          description: Aadressi lõpu alusdokumendi nimi
          nullable: true
          example: SISEMINISTEERIUM
        lopuDokumentKehtivAlates:
          type: string
          description: Aadressi lõpu alusdokumendi kehtivuse algus
          format: date-time
          nullable: true
        lopuDokumentSeeria:
          type: string
          description: Aadressi lõpu alusdokumendi seeria
          nullable: true
        lopuDokumentNumber:
          type: string
          description: Aadressi lõpu alusdokumendi number
          nullable: true
        lopuDokumentValjaandnudAsutus:
          type: string
          description: Aadressi lõpu alusdokumendi väljaandnud asutus
          nullable: true
          example: SISEMINISTEERIUM
        isikuAadressKehtivAlates:
          type: string
          description: Aadressi kehtivuse alguskuupäev
          format: date-time
          nullable: true
      additionalProperties: false
      description: Isiku aadressi andmed. Tagastatavate aadresside loend moodustub ühisosana pärijale lubatud ja sisendis küsitud aadressi liikidest ning staatustest.
    IsikuAadressLiik:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Aadressi liik
    IsikuAadressStaatus:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Aadressi staatus
    IsikuAadressidAndmevaljad:
      enum:
        - Koik
        - Riik
        - Maakond
        - LinnVald
        - KylaAsula
        - VaikeKoht
        - Tanav
        - Nimi
        - Maja
        - Korter
        - Sihtnumber
        - AadressTekst
        - Liik
        - Staatus
        - AdsAdrId
        - AdsOid
        - AdsKoodAadress
        - AdsAdobId
        - AlguseDokumentNimi
        - AlguseDokumentKehtivAlates
        - AlguseDokumentSeeria
        - AlguseDokumentNumber
        - AlguseDokumentValjaandnudAsutus
        - LopuDokumentNimi
        - LopuDokumentKehtivAlates
        - LopuDokumentSeeria
        - LopuDokumentNumber
        - LopuDokumentValjaandnudAsutus
        - IsikuAadressKehtivAlates
      type: string
    IsikuAndmevaljad:
      enum:
        - Koik
        - Id
        - Isikukood
        - Eesnimi
        - Perekonnanimi
        - KasTopeltIsik
        - LapsendamiseTunnus
        - Sugu
        - PerenimiEri
        - EesnimiEri
        - Synniperenimi
        - SynniKuupaev
        - SynniKell
        - SurmaKuupaev
        - ElukohtTekstina
        - IsikuStaatus
        - KirjeStaatus
        - ArhiiviPohjus
        - Rahvus
        - Emakeel
        - Haridus
        - Haridused
        - SunnijargneNimi
        - Isanimi
        - MuudEesnimed
        - MuudPerenimed
        - MuudIsanimed
        - SynniKoht
        - SurmaKoht
        - MuudetiKpv
      type: string
    IsikuKirjeStaatus:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Isiku kirje olek
    IsikuKontakt:
      type: object
      properties:
        liik:
          $ref: '#/components/schemas/IsikuKontaktiLiik'
        tekst:
          type: string
          description: Kontakti tekst
          nullable: true
        staatus:
          $ref: '#/components/schemas/IsikuKontaktiStaatus'
        alguseDokumentNimi:
          type: string
          description: Kontakti alguse alusdokumendi nimi
          nullable: true
        alguseDokumentKehtivAlates:
          type: string
          description: Kontakti alguse alusdokumendi kehtivuse algus
          format: date-time
          nullable: true
        alguseDokumentSeeria:
          type: string
          description: Kontakti alguse alusdokumendi seeria
          nullable: true
        alguseDokumentNumber:
          type: string
          description: Kontakti alguse alusdokumendi number
          nullable: true
        alguseDokumentValjaandnudAsutus:
          type: string
          description: Kontakti alguse alusdokumendi väljaandnud asutus
          nullable: true
          example: SISEMINISTEERIUM
        lopuDokumentNimi:
          type: string
          description: Kontakti lõpu alusdokumendi nimi
          nullable: true
        lopuDokumentKehtivAlates:
          type: string
          description: Kontakti lõpu alusdokumendi kehtivuse algus
          format: date-time
          nullable: true
        lopuDokumentSeeria:
          type: string
          description: Kontakti lõpu alusdokumendi seeria
          nullable: true
        lopuDokumentNumber:
          type: string
          description: Kontakti lõpu alusdokumendi number
          nullable: true
        lopuDokumentValjaandnudAsutus:
          type: string
          description: Kontakti lõpu alusdokumendi väljaandnud asutus
          nullable: true
          example: SISEMINISTEERIUM
      additionalProperties: false
      description: Isiku kontaktide andmed. Tagastatavate kontaktide loend moodustub ühisosana pärijale lubatud ja sisendis küsitud kontaktide liikidest ning staatustest.
    IsikuKontaktiLiik:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Kontakti liik
    IsikuKontaktiStaatus:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Kontakti staatus
    IsikuStaatus:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Isiku olek
    Isikuandmed:
      type: object
      properties:
        id:
          type: integer
          description: Isiku ID rahvastikuregistris
          format: int64
          nullable: true
        isikukood:
          type: string
          description: Isiku isikukood Eesti Vabariigis
          nullable: true
          example: '12345678901'
        eesnimi:
          type: string
          description: Isiku eesnimi
          nullable: true
          example: JAAK-KRISTJAN
        perekonnanimi:
          type: string
          description: Isiku perekonnanimi
          nullable: true
          example: JÕEORG
        kasTopeltIsik:
          type: string
          description: Topeltisiku tunnus
          nullable: true
        lapsendamiseTunnus:
          type: string
          description: Lapsendamise tunnus
          nullable: true
        sugu:
          $ref: '#/components/schemas/Sugu'
        perenimiEri:
          type: string
          description: 'Perekonnanimi, kui see sisaldab erisümboleid'
          nullable: true
          example: JõEORG
        eesnimiEri:
          type: string
          description: 'Eesnimi, kui see sisaldab erisümboleid'
          nullable: true
          example: JAAK-KRĪSTJAN
        synniperenimi:
          type: string
          description: Isiku sünnijärgne perekonnanimi
          nullable: true
          example: JÕEORG
        synniKuupaev:
          type: string
          description: Isiku sünnikuupäev
          format: date
          nullable: true
          example: '2025-01-31'
        synniKell:
          type: string
          description: Isiku sünni kellaaeg
          format: date
          nullable: true
          example: '07:07:08Z'
        surmaKuupaev:
          type: string
          description: Isiku surmakuupäev
          format: date
          nullable: true
          example: '2025-01-31'
        elukohtTekstina:
          type: string
          description: KEHTIV staatuses elukoha aadress tekstina
          nullable: true
          example: 'Harju maakond, Tallinn, Kristiine linnaosa, Tüve tn 53-1'
        isikuStaatus:
          $ref: '#/components/schemas/IsikuStaatus'
        kirjeStaatus:
          $ref: '#/components/schemas/IsikuKirjeStaatus'
        arhiiviPohjus:
          $ref: '#/components/schemas/ArhiiviPohjus'
        teovoimed:
          type: array
          items:
            $ref: '#/components/schemas/Teovoime'
          description: Teovõimed
          nullable: true
        teovoime:
          $ref: '#/components/schemas/Teovoime'
        kodakondsus:
          $ref: '#/components/schemas/Kodakondsus'
        rahvus:
          $ref: '#/components/schemas/Rahvus'
        emakeel:
          $ref: '#/components/schemas/Emakeel'
        haridus:
          $ref: '#/components/schemas/Haridus'
        haridused:
          type: array
          items:
            $ref: '#/components/schemas/Haridus'
          description: Loend isiku haridustest
          nullable: true
        perekonnaseis:
          $ref: '#/components/schemas/Perekonnaseis'
        isanimi:
          type: string
          description: Isanimi
          nullable: true
          example: SIIM
        muudEesnimed:
          type: array
          items:
            $ref: '#/components/schemas/MuuNimi'
          description: Loend isiku muudest eesnimedest
          nullable: true
        muudPerenimed:
          type: array
          items:
            $ref: '#/components/schemas/MuuNimi'
          description: Loend isiku muudest perekonnanimedest
          nullable: true
        muudKodakondsused:
          type: array
          items:
            $ref: '#/components/schemas/Kodakondsus'
          description: Loend isiku KEHTIV staatuses kodakondsustest. ISO numeric-3 formaadis riik.
          nullable: true
        valisriigiIsikukoodid:
          type: array
          items:
            $ref: '#/components/schemas/ValisriigiIsikukood'
          description: Loend isiku KEHTIV staatuses välisriigi isikukoodidest
          nullable: true
        synniKoht:
          type: string
          description: Sünnikoht tekstina
          nullable: true
          example: 'Eesti, Saare maakond, Ruhnu vald'
        surmaKoht:
          type: string
          description: Surmakoht tekstina
          nullable: true
          example: 'Eesti, Saare maakond, Ruhnu vald'
        isikuAadressid:
          type: array
          items:
            $ref: '#/components/schemas/IsikuAadress'
          description: Aadresside andmestik
          nullable: true
        isikuKontaktid:
          type: array
          items:
            $ref: '#/components/schemas/IsikuKontakt'
          description: Kontaktide andmestik
          nullable: true
        dokumendid:
          type: array
          items:
            $ref: '#/components/schemas/Dokument'
          description: Dokumentide andmestik
          nullable: true
        suhted:
          type: array
          items:
            $ref: '#/components/schemas/Suhe'
          description: Suhete andmestik
          nullable: true
        hooldusoigused:
          type: array
          items:
            $ref: '#/components/schemas/Hooldusoigus'
          description: Hooldusõiguste andmestik
          nullable: true
      additionalProperties: false
      description: Isiku põhiandmed. Tagastatavate andmeväljade loend moodustub ühisosana pärijale lubatud ja sisendis küsitud andmeväljadest.
    Kodakondsus:
      type: object
      properties:
        riik:
          $ref: '#/components/schemas/KodakondsuseRiik'
        algusKuupaev:
          type: string
          description: Kodakondsuse kehtivuse alguskuupäev.
          format: date-time
          nullable: true
      additionalProperties: false
      description: Isiku kodakondsuse andmed.
    KodakondsusAndmevaljad:
      enum:
        - Koik
        - Riik
        - AlgusKuupaev
      type: string
    KodakondsuseRiik:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Kodakondsuse riigi kood ISO numeric-3 formaadis.
    KontaktAndmevaljad:
      enum:
        - Koik
        - Liik
        - Tekst
        - Staatus
        - AlguseDokumentNimi
        - AlguseDokumentKehtivAlates
        - AlguseDokumentSeeria
        - AlguseDokumentNumber
        - AlguseDokumentValjaandnudAsutus
        - LopuDokumentNimi
        - LopuDokumentKehtivAlates
        - LopuDokumentSeeria
        - LopuDokumentNumber
        - LopuDokumentValjaandnudAsutus
      type: string
    KontaktiLiik:
      enum:
        - Koik
        - K7
        - K8
        - K9
        - K10
        - K11
      type: string
    KontaktiStaatus:
      enum:
        - Koik
        - A1
        - A2
        - A3
        - A4
        - A5
      type: string
    MuuNimi:
      type: object
      properties:
        nimi:
          type: string
          description: Kehtivast nimest erinev nimi.
          nullable: true
      additionalProperties: false
      description: Isiku muud nimed
    MuudatusedEnum:
      enum:
        - Nimi
        - Aadress
        - Isikukood
        - TopeltIsik
        - Teovoime
        - UusIsikukoodSynd
        - UusIsikukoodMuu
        - Surm
        - IsikutToendavDokument
        - IsikuStaatus
        - IsikuKirjeStaatus
        - Elamisluba
        - Kodakondsus
        - IsikSynnikohtRiik
        - ElukohtAlgus
        - LisaAadress
        - ElukohtAadressAds
        - IsikTaisealiseks
        - EestiKodakondsus
        - TahtajalineElamoigus
        - StaatusSurnuks
        - Suhe
        - Hooldusoigus
        - Lapsendamine
        - Viibimiskoht
        - ElKodanikValismaale
        - Haridus
        - Emakeel
        - Rahvus
        - Telefon
        - Email
        - MuuKontakt
        - LapseSynd
        - SideAadress
        - LisaAadressParandus
        - TeisedKodakondsused
        - EestiKodakondsuseks
      type: string
      description: Muudatuse tüüp
    MuutunudIsik:
      type: object
      properties:
        isikukood:
          type: string
          nullable: true
        muudatused:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    Perekonnaseis:
      type: object
      properties:
        liik:
          $ref: '#/components/schemas/PerekonnaseisuLiik'
        algusKuupaev:
          type: string
          description: Perekonnaseisu kehtivuse alguskuupäev
          format: date-time
          nullable: true
      additionalProperties: false
      description: Isiku perekonnaseisu andmed.
    PerekonnaseisAndmevaljad:
      enum:
        - Koik
        - Liik
        - AlgusKuupaev
      type: string
    PerekonnaseisuLiik:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Perekonnaseisu liik
    PostIsikudRequestDto:
      type: object
      properties:
        isikuId:
          type: array
          items:
            type: integer
            format: int64
          description: Isiku ID rahvastikuregistris.
          nullable: true
        isikukoodid:
          type: array
          items:
            type: string
          description: 'Loend nende isikute isikukoodidest, kelle kohta soovitakse infot.'
          nullable: true
        endisedIsikukoodid:
          type: array
          items:
            type: string
          description: 'Loend isiku endistest isikukoodidest, kelle kohta soovitakse infot.'
          nullable: true
        andmevaljad:
          $ref: '#/components/schemas/Andmevaljad'
        dokumendiLiigid:
          type: array
          items:
            $ref: '#/components/schemas/DokumendiLiik'
          description: 'Loend dokumendi liikidest (RR kodifikaatori kood), mille kohta soovitakse infot. Tühja parameetri korral tagastatakse kõik pärijale lubatud dokumendi liigid.'
          nullable: true
        dokumendiStaatused:
          type: array
          items:
            $ref: '#/components/schemas/DokumendiStaatus'
          description: 'Loend dokumendi staatustest (RR kodifikaatori kood), mille kohta soovitakse infot. Tühja parameetri korral tagastatakse kõik pärijale lubatud dokumendi staatused.'
          nullable: true
        suhteLiigid:
          type: array
          items:
            $ref: '#/components/schemas/SuhteLiik'
          description: 'Loend suhte liikidest (RR kodifikaatori kood), mille kohta soovitakse infot. Tühja parameetri korral tagastatakse kõik pärijale lubatud suhete liigid.'
          nullable: true
        suhteStaatused:
          type: array
          items:
            $ref: '#/components/schemas/SuhteStaatus'
          description: 'Loend suhte staatustest (RR kodifikaatori kood), mille kohta soovitaks infot. Tühja parameetri korral tagastatakse kõik pärijale lubatud suhete staatused.'
          nullable: true
        hooldusoiguseLiigid:
          type: array
          items:
            $ref: '#/components/schemas/HooldusoiguseLiik'
          description: 'Loend hooldusõiguse liikidest (RR kodifikaatori kood), mille kohta soovitaks infot. Tühja parameetri korral tagastatakse kõik pärijale lubatud hooldusõiguse liigid.'
          nullable: true
        hooldusoiguseStaatused:
          type: array
          items:
            $ref: '#/components/schemas/HooldusoiguseStaatus'
          description: 'Loend hooldusõiguse staatustest (RR kodifikaatori kood), mille kohta soovitaks infot. Tühja parameetri korral tagastatakse kõik pärijale lubatud hooldusõiguse staatused.'
          nullable: true
        aadressiLiigid:
          type: array
          items:
            $ref: '#/components/schemas/AadressiLiik'
          description: 'Loend aadressi liikidest (RR kodifikaatori kood), mille kohta soovitaks infot. Tühja parameetri korral tagastatakse kõik pärijale lubatud aadressi liigid.'
          nullable: true
        aadressiStaatused:
          type: array
          items:
            $ref: '#/components/schemas/AadressiStaatus'
          description: 'Loend aadressi staatustest (RR kodifikaatori kood), mille kohta soovitaks infot. Tühja parameetri korral tagastatakse kõik pärijale lubatud aadressi staatused.'
          nullable: true
        kontaktiLiigid:
          type: array
          items:
            $ref: '#/components/schemas/KontaktiLiik'
          description: 'Loend kontakti liikidest (RR kodifikaatori kood), mille kohta soovitaks infot. Tühja parameetri korral tagastatakse kõik pärijale lubatud kontakti liigid.'
          nullable: true
        kontaktiStaatused:
          type: array
          items:
            $ref: '#/components/schemas/KontaktiStaatus'
          description: 'Loend kontakti staatustest (RR kodifikaatori kood), mille kohta soovitaks infot. Tühja parameetri korral tagastatakse kõik pärijale lubatud kontakti staatused.'
          nullable: true
      additionalProperties: false
      description: Isiku(te) andmete päringu sisendparameetrid.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: { }
    Rahvus:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Rahvus
    RequestReason:
      enum:
        - avalik
        - oigustatud
        - salajane
      type: string
      description: Päringu õiguslikud alused
    Sugu:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Isiku sugu. Võimalikud variandid on "mees" ja "naine".
    Suhe:
      type: object
      properties:
        liik:
          $ref: '#/components/schemas/SuheLiik'
        staatus:
          $ref: '#/components/schemas/SuheStaatus'
        suheAlgus:
          type: string
          description: Suhte alguse kuupäev
          format: date-time
          nullable: true
        suheLopp:
          type: string
          description: Suhte lõpu kuupäev
          format: date-time
          nullable: true
        teineIsikIsikukood:
          type: string
          description: Suhtes teise isiku isikukood
          nullable: true
          example: '12345678901'
        teineIsikKirjeOlek:
          $ref: '#/components/schemas/SuheTeineIsikKirjeOlek'
        teineIsikOlek:
          $ref: '#/components/schemas/SuheTeineIsikOlek'
        teineIsikEesnimi:
          type: string
          description: Suhtes teise isiku eesnimi
          nullable: true
          example: SIIM
        teineIsikPerenimi:
          type: string
          description: Suhtes teise isiku perekonnanimi
          nullable: true
          example: JÕEORG
        suheMarkus:
          type: string
          description: Suhte märkus
          nullable: true
        alguseDokumentNimi:
          type: string
          description: Suhte alguse alusdokumendi nimi
          nullable: true
        alguseDokumentKehtivAlates:
          type: string
          description: Suhte alguse alusdokumendi kehtivuse algus
          format: date-time
          nullable: true
        alguseDokumentSeeria:
          type: string
          description: Suhte alguse alusdokumendi seeria
          nullable: true
        alguseDokumentNumber:
          type: string
          description: Suhte alguse alusdokumendi number
          nullable: true
        alguseDokumentValjaandnudAsutus:
          type: string
          description: Suhte alguse  alusdokumendi väljaandnud asutus
          nullable: true
          example: SISEMINISTEERIUM
        lopuDokumentNimi:
          type: string
          description: Suhte lõpu alusdokumendi nimi
          nullable: true
        lopuDokumentKehtivAlates:
          type: string
          description: Suhte lõpu alusdokumendi kehtivuse algus
          format: date-time
          nullable: true
        lopuDokumentSeeria:
          type: string
          description: Suhte lõpu alusdokumendi seeria
          nullable: true
        lopuDokumentNumber:
          type: string
          description: Suhte lõpu alusdokumendi number
          nullable: true
        lopuDokumentValjaandnudAsutus:
          type: string
          description: Suhte lõpu alusdokumendi väljaandnud asutus
          nullable: true
          example: SISEMINISTEERIUM
        synniaeg:
          type: string
          description: Isiku sünnikuupäev
          format: date-time
          nullable: true
        synnikoht:
          type: string
          description: Sünnikoht tekstina
          nullable: true
          example: 'Eesti, Saare maakond, Ruhnu vald'
        sugu:
          $ref: '#/components/schemas/Sugu'
        eestiIsikukood:
          type: string
          description: Isiku isikukood Eesti Vabariigis
          nullable: true
          example: '12345678901'
      additionalProperties: false
      description: Isiku suhete andmed. Tagastatavate suhete loend moodustub ühisosana pärijale lubatud ja sisendis küsitud suhte liikidest ning staatustest.
    SuheLiik:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Suhte liik
    SuheStaatus:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Suhte staatus
    SuheTeineIsikKirjeOlek:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Suhtes teise isiku kirje olek
    SuheTeineIsikOlek:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Suhtes teise isiku staatus
    SuhteLiik:
      enum:
        - Koik
        - R1
        - R2
        - R4
        - R3
        - R6
        - R5
        - R0
        - R7
        - R8
        - R10
        - R9
        - R11
      type: string
    SuhteStaatus:
      enum:
        - Koik
        - SU1
        - SU2
        - SU3
        - SU4
        - SU5
      type: string
    SuhtedAndmevaljad:
      enum:
        - Koik
        - Liik
        - Staatus
        - SuheAlgus
        - SuheLopp
        - TeineIsikIsikukood
        - TeineIsikKirjeOlek
        - TeineIsikOlek
        - TeineIsikEesnimi
        - TeineIsikPerenimi
        - SuheMarkus
        - AlguseDokumentNimi
        - AlguseDokumentKehtivAlates
        - AlguseDokumentSeeria
        - AlguseDokumentNumber
        - AlguseDokumentValjaandnudAsutus
        - LopuDokumentNimi
        - LopuDokumentKehtivAlates
        - LopuDokumentSeeria
        - LopuDokumentNumber
        - LopuDokumentValjaandnudAsutus
        - Synniaeg
        - Synnikoht
        - Sugu
        - EestiIsikukood
      type: string
    Teovoime:
      type: object
      properties:
        liik:
          $ref: '#/components/schemas/TeovoimeLiik'
        algusKuupaev:
          type: string
          description: Teovõime kehtivuse alguskuupäev.
          format: date-time
          nullable: true
      additionalProperties: false
      description: Isiku teovõime andmed.
    TeovoimeAndmevaljad:
      enum:
        - Koik
        - Liik
        - AlgusKuupaev
      type: string
    TeovoimeLiik:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Teovõime liik.
    ValisriigiIsikukood:
      type: object
      properties:
        riik:
          $ref: '#/components/schemas/ValisriigiIsikukoodRiik'
        isikukood:
          type: string
          description: Isikukood selles riigis
          nullable: true
      additionalProperties: false
      description: Isiku välisriigi isikukoodide andmed
    ValisriigiIsikukoodAndmevaljad:
      enum:
        - Koik
        - Riik
        - Isikukood
      type: string
    ValisriigiIsikukoodRiik:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: 'Riik, mille isikukoodiga on tegu'
    ValjaAndjaRiik:
      type: object
      properties:
        kood:
          type: string
          description: Kodifikaatori kood
          nullable: true
        elemendiKood:
          type: string
          description: Kodifikaatori elemendi Kood
          nullable: true
        nimetus:
          type: string
          description: Kodifikaatori elemendi nimetus
          nullable: true
      additionalProperties: false
      description: Dokumendi väljastanud riik ISO alfa-3 formaadis.
tags:
  - name: Muudatused
    description: Isikute muudatuste andmed